$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.95.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.95.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3BEF757A715CA20100E96B779836AC5A9938F3D09C8745E7308AEFE82E5D1DBD'
  checksumType = 'sha256'
  checksum64 = '3BEF757A715CA20100E96B779836AC5A9938F3D09C8745E7308AEFE82E5D1DBD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.95-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
